[ VIGRA Homepage | Class Index | Function Index | File Index | Main Page ]

| StandardConstAccessor Class Template Reference |
--- | --- | ---

Encapsulate read access to the values an iterator points to. More...

`#include "vigra/accessor.hxx"`

## Public Methods
template<class ITERATOR> VALUETYPE const & | operator() (ITERATOR const &i) const
template<class ITERATOR, class DIFFERENCE> VALUETYPE const & | operator() (ITERATOR const &i, DIFFERENCE const &diff) const

## Detailed Description

### template<class VALUETYPE>
class vigra::StandardConstAccessor< VALUETYPE >

Encapsulate read access to the values an iterator points to.

StandardConstAccessor is a trivial accessor that simply encapsulates the iterator's operator *() and operator[]() in its read functions. It passes its arguments by reference. If the iterator returns its items by value (such as vigra::CoordinateIterator), you must use StandardConstValueAccessor instead of StandardConstAccessor. Both accessors also have different optimization properties -- StandardConstAccessor is usually faster for compound pixel types, while StandardConstValueAccessor is faster for the built-in types.

#include "vigra/accessor.hxx"
Namespace: vigra

## Member Function Documentation

VALUETYPE const& operator() | ( | ITERATOR const & | i,
|  | DIFFERENCE const & | diff
| ) | const`[inline]`

| read the data item at an offset (can be 1D or 2D or higher order difference).

VALUETYPE const& operator() | ( | ITERATOR const & | i | ) | const`[inline]`

| read the current data item

The documentation for this class was generated from the following file:

- vigra/accessor.hxx

© Ullrich Köthe (koethe@informatik.uni-hamburg.de) Cognitive Systems Group, University of Hamburg, Germany | html generated using doxygen and Python VIGRA 1.3.2 (27 Jan 2005)